OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelRectangles.Rasterization

Description

This module corresponds to a part of section 3.6.4 (Rasterization of Pixel Rectangles) of the OpenGL 2.1 specs.

# Documentation

data PixelData a Source

Constructors

PixelData PixelFormat DataType (Ptr a) |

Instances

Eq (PixelData a) |
Ord (PixelData a) |
Show (PixelData a) |

data PixelFormat Source

Constructors

ColorIndex |
StencilIndex |
DepthComponent |
DepthStencil |
Red |
Green |
Blue |
Alpha |
RG |
RGB |
RGBA |
Luminance |
LuminanceAlpha |
RedInteger |
GreenInteger |
BlueInteger |
AlphaInteger |
RGInteger |
RGBInteger |
RGBAInteger |
BGRInteger |
BGRAInteger |
ABGR |
BGR |
BGRA |
CMYK |
CMYKA |
FourTwoTwo |
FourTwoTwoRev |
FourTwoTwoAverage |
FourTwoTwoRevAverage |
YCBCR422 |

Instances

Eq PixelFormat |
Ord PixelFormat |
Show PixelFormat |

drawPixels :: Size -> PixelData a -> IO ()Source

pixelZoom :: StateVar (GLfloat, GLfloat)Source